@import "bulma/sass/utilities/initial-variables";
@import "bulma/sass/utilities/functions";

// initial variables
$green: #718C00;
$purple:  #8959a8;
$blue: #4271ae;
$red: #c82829;

// derived
$primary: $green;
$title-color: $primary;
$subtitle-color: $primary;
$link: $primary;

@import "./bulma/bulma.sass";

.title-underline {
    @extend .title;
    border-bottom: solid 1px $border;
}

.feature {
    @extend .tile;
    @extend .is-child;
    @extend .box;
    background-color: $white-ter;
}

.feature h3 {
    color: $grey-darker;
}

.article {
    margin-bottom: 3rem;
}

.article-header {
    margin-bottom: 2rem;
}

.content h2 {
    border-bottom: solid 1px $border;
}

pre {
    @extend .box;
    background-color: $white-ter;
}

.sect1 h2 {
    @extend .title;
    @extend .is-3;
}

.sectionbody {
    margin-bottom: 2rem;
}

.sect2 h3 {
    @extend .title;
    @extend .is-4;
}

.sect2 {
    margin-bottom: 1rem;
}

.dlist dt {
    margin-top: 0.5rem;
}

.dropdown-button {
    border-radius: 0px;
}

.scrollable {
    overflow-x: auto;
}

.mr-title-face {
    font-size: 4rem !important;
}

.gitclone {
    @extend .input;
    display: flex;
    background-color: $grey-lighter;
    width: auto;
    justify-content: center;
}

.external-link-icon {
    @extend .is-small;
    display: inline;
    padding-left: 0.2em;
}

.external-link-icon i {
    vertical-align: top;
    font-size: 0.7em;
}
